#include <bits/stdc++.h>
using namespace std;

typedef long long ll;
int main(){
    ios::sync_with_stdio(false);
    cin.tie(nullptr);
   int T;
        ll o = 1;
        cin >> T;
        for(int i = 0; i < T; i++)
        {
            long long n,m;
          cin >> n >> m;
            if(n == m){
                for(int j = 0; j < n; j++){
                    for(int k = 0; k < m; k++){
                    
                    }


                    }

                    cout << "\n";
                }
            }
                        else {
                cout << "-1" << endl;
            }


            }


        }






//nema sanse